Create mobile contact layout from ListView in Vue ListView component

19 Feb 202515 minutes to read

You can customize the ListView using the template property. Refer to the following steps to customize ListView as mobile contact view with our ej2-avatar.

  • Render the ListView with a dataSource that contains avatar data. You can set avatar data as either text or class names. Refer to the following codes.

     dataSource: [
      {
       text: "Jenifer", contact: "(206) 555-985774", id: "1", avatar: "", pic: "pic01"
      },
     {
       text: "Amenda", contact: "(206) 555-3412", id: "2", avatar: "A", pic: ""
      }
    ];
  • Set avatar classes in ListView template to customize contact icon. In the following codes, medium size avatar has been set using the class name e-avatar e-avatar-circle from data source.

       <div class="listWrapper">
          <span :class="['e-avatar e-avatar-small e-avatar-circle']" v-if="data.avatar !== ''"></span>
          <span :class="[data.pic + ' e-avatar e-avatar-small e-avatar-circle']" v-if="data.pic !== '' "> </span>
          <span class="list-text"></span>
        </div>

Avatars can be set in different sizes in avatar classes. To know more about avatar classes, refer to Avatar.

<template>
  <div id="sample">
     <ejs-listview id='list' :dataSource='data' :fields='fields' :template='template' height="330px" width="350px" showHeader='true' headerTitle='Contacts' sortOrder='Ascending'></ejs-listview>
  </div>
</template>

<script setup>

import { ListViewComponent as EjsListview} from "@syncfusion/ej2-vue-lists";
import { createApp } from "vue";

var demoVue = createApp().component("demo", {
  template: `
    <div class="settings">
        <span :class="['e-avatar e-avatar-circle']" v-if="data.avatar !== ''"></span>
        <span :class="[data.pic + ' e-avatar e-avatar-circle']" v-if="data.pic !== '' "> </span>
        <div id="content">
        <div class="name"></div>
        <div id="info"></div>
        </div>
    </div>`,
  data() {
    return {
      data: {}
    };
  }
});


const data = [
  {
    text: "Jenifer",
    contact: "(206) 555-985774",
    id: "1",
    avatar: "",
    pic: "pic01"
  },
  { 
    text: "Amenda", 
    contact: "(206) 555-3412", 
    id: "2", 
    avatar: "A", 
    pic: "" },
  {
    text: "Isabella",
    contact: "(206) 555-8122",
    id: "4",
    avatar: "",
    pic: "pic02"
  },
  {
    text: "William ",
    contact: "(206) 555-9482",
    id: "5",
    avatar: "W",
    pic: ""
  },
  {
    text: "Jacob",
    contact: "(71) 555-4848",
    id: "6",
    avatar: "",
    pic: "pic04"
  },
  { 
    text: "Matthew", 
    contact: "(71) 555-7773", 
    id: "7", 
    avatar: "M", 
    pic: "" 
  },
  {
    text: "Oliver",
    contact: "(71) 555-5598",
    id: "8",
    avatar: "",
    pic: "pic03"
  },
  {
    text: "Charlotte",
    contact: "(206) 555-1189",
    id: "9",
    avatar: "C",
    pic: ""
  }
];
const fields = {text: 'text'};
const template =  () => {
              return { template : demoVue};
          };

</script>

<style>
  #list {
    margin: 0 auto;
    border: 1px solid #ccc;
  }

  #list .e-list-item {
    height: 60px;
    cursor: pointer;
  }

  #list .e-list-header .e-text {
    font-family: sans-serif;
    font-size: 18px;
    line-height: 16px;
  }

  #list #content {
    gin: 0;
  }

  #list .e-list-header{
    background: rgb(2, 120, 215);
    color: white;
  }

  #list #info,
  #list .name {
    font-size: 14px;
    margin: 0 60px;
    line-height: 20px;
  }

  #list .name {
    padding-top: 8px;
    font-weight: 500;
  }

  .pic01 {
    background-image: url("https://ej2.syncfusion.com/demos/src/grid/images/1.png");
  }

  .pic02 {
    background-image: url("https://ej2.syncfusion.com/demos/src/grid/images/3.png");
  }

  .pic03 {
    background-image: url("https://ej2.syncfusion.com/demos/src/grid/images/5.png");
  }

  .pic04 {
    background-image: url("https://ej2.syncfusion.com/demos/src/grid/images/2.png");
  }

  #list .e-avatar {
    position: absolute;
    margin-top: 8px;
    font-size: 14px;
  }

  #list .e-list-item:nth-child(1) .e-avatar {
    background-color: #039be5;
  }

  #list .e-list-item:nth-child(2) .e-avatar {
    background-color: #e91e63;
  }

  #list .e-list-item:nth-child(6) .e-avatar {
    background-color: #009688;
  }

  #list .e-list-item:nth-child(8) .e-avatar {
    background-color: #0088;
  }
</style>
<template>
  <div id="sample">
     <ejs-listview id='list' :dataSource='data' :fields='fields' :template='template' height="330px" width="350px" showHeader='true' headerTitle='Contacts' sortOrder='Ascending'></ejs-listview>
  </div>
</template>
<script>

import { ListViewComponent } from "@syncfusion/ej2-vue-lists";
import { createApp } from "vue";

var demoVue = createApp().component("demo", {
  template: `
    <div class="settings">
        <span :class="['e-avatar e-avatar-circle']" v-if="data.avatar !== ''"></span>
        <span :class="[data.pic + ' e-avatar e-avatar-circle']" v-if="data.pic !== '' "> </span>
        <div id="content">
        <div class="name"></div>
        <div id="info"></div>
        </div>
    </div>`,
  data() {
    return {
      data: {}
    };
  }
});

export default {
  name: "App",
  components: {
  "ejs-listview":ListViewComponent
  },

  data: function() {
    return {
      data: [
        {
          text: "Jenifer",
          contact: "(206) 555-985774",
          id: "1",
          avatar: "",
          pic: "pic01"
        },
        { 
          text: "Amenda", 
          contact: "(206) 555-3412", 
          id: "2", 
          avatar: "A", 
          pic: "" 
        },
        {
          text: "Isabella",
          contact: "(206) 555-8122",
          id: "4",
          avatar: "",
          pic: "pic02"
        },
        {
          text: "William ",
          contact: "(206) 555-9482",
          id: "5",
          avatar: "W",
          pic: ""
        },
        {
          text: "Jacob",
          contact: "(71) 555-4848",
          id: "6",
          avatar: "",
          pic: "pic04"
        },
        { 
          text: "Matthew", 
          contact: "(71) 555-7773", 
          id: "7", 
          avatar: "M", 
          pic: "" },
        {
          text: "Oliver",
          contact: "(71) 555-5598",
          id: "8",
          avatar: "",
          pic: "pic03"
        },
        {
          text: "Charlotte",
          contact: "(206) 555-1189",
          id: "9",
          avatar: "C",
          pic: ""
        }
    ],
  fields: {text: 'text'},
  template: function () {
              return { template : demoVue};
          }
  };
},
}
</script>
<style>
  #list {
    margin: 0 auto;
    border: 1px solid #ccc;
  }

  #list .e-list-item {
    height: 60px;
    cursor: pointer;
  }

  #list .e-list-header .e-text {
    font-family: sans-serif;
    font-size: 18px;
    line-height: 16px;
  }

  #list #content {
    gin: 0;
  }

  #list .e-list-header{
    background: rgb(2, 120, 215);
    color: white;
  }

  #list #info,
  #list .name {
    font-size: 14px;
    margin: 0 60px;
    line-height: 20px;
  }

  #list .name {
    padding-top: 8px;
    font-weight: 500;
  }

  .pic01 {
    background-image: url("https://ej2.syncfusion.com/demos/src/grid/images/1.png");
  }

  .pic02 {
    background-image: url("https://ej2.syncfusion.com/demos/src/grid/images/3.png");
  }

  .pic03 {
    background-image: url("https://ej2.syncfusion.com/demos/src/grid/images/5.png");
  }

  .pic04 {
    background-image: url("https://ej2.syncfusion.com/demos/src/grid/images/2.png");
  }

  #list .e-avatar {
    position: absolute;
    margin-top: 8px;
    font-size: 14px;
  }

  #list .e-list-item:nth-child(1) .e-avatar {
    background-color: #039be5;
  }

  #list .e-list-item:nth-child(2) .e-avatar {
    background-color: #e91e63;
  }

  #list .e-list-item:nth-child(6) .e-avatar {
    background-color: #009688;
  }

  #list .e-list-item:nth-child(8) .e-avatar {
    background-color: #0088;
  }

</style>

Create mobile contact layout in React ListView component

23 Jan 202512 minutes to read

You can customize the ListView using the template property. Refer to the following steps to customize ListView as a mobile contact view with our ej2-avatar.

  • Render the ListView with dataSource that has avatar data. You can set avatar data as either text or class names. Refer to the following code:

     let dataSource = [
      {
        text: "Jenifer", contact: "(206) 555-985774", id: "1", avatar: "", pic: "pic01"
      },
      {
        text: "Amenda", contact: "(206) 555-3412", id: "2", avatar: "A", pic: ""
     }
    ];
  • Set avatar classes in ListView template to customize contact icon. In the following code, medium size avatar has been set using the class name e-avatar e-avatar-circle from data source.

     function listTemplate(data): JSX.Element {
      let letterAvatar = <span className='e-avatar e-avatar-circle'>{data.avatar}</span>
      let imageAvatar = <span className={`${data.pic} e-avatar e-avatar-circle`}></span>
    
       return (
          <div className='e-list-wrapper e-list-multi-line e-list-avatar'>
              {data.avatar !== "" ? (letterAvatar) : (imageAvatar)}
              <span className="e-list-content">{data.contact}</span>
          </div>
      );
    }

Avatars can be set in different sizes in avatar classes. To learn more about avatar classes, refer to Avatar.

import * as ReactDOM from 'react-dom';
import * as React from 'react';
import { ListViewComponent } from '@syncfusion/ej2-react-lists';
import './index.css';

function App() {
    //Define an array of JSON data
    let data = [
        { id: 's_01', text: 'Robert', avatar: '', pic: 'pic04' },
        { id: 's_02', text: 'Nancy', avatar: 'N', pic: '' },
        { id: 's_05', text: 'Jenifer', pic: 'pic01', avatar: '' },
        { id: 's_03', text: 'Andrew', avatar: 'A', pic: '' },
        { id: 's_06', text: 'Margaret', pic: 'pic02', avatar: '' },
        { id: 's_07', text: 'Steven', pic: 'pic03', avatar: '' },
        { id: 's_08', text: 'Michael', avatar: 'M', pic: '' }
    ];
    let fields = { text: "Name" };
    function listTemplate(data) {
        let letterAvatar = <span className='e-avatar e-avatar-circle'>{data.avatar}</span>;
        let imageAvatar = <span className={`${data.pic} e-avatar e-avatar-circle`}></span>;
        return (<div className='e-list-wrapper e-list-avatar'>
            {data.avatar !== "" ? (letterAvatar) : (imageAvatar)}
            <span className="e-list-content">{data.text}</span>
        </div>);
    }
    return (<div>
        {/* ListView element */}
        <ListViewComponent id='list' dataSource={data} headerTitle='Contacts' showHeader={true} sortOrder="Ascending" width='350px' template={listTemplate} fields={fields} cssClass='e-list-template'></ListViewComponent>
    </div>);
}
export default App;
ReactDOM.render(<App />, document.getElementById('element'));
import * as ReactDOM from 'react-dom';
import * as React from 'react';
import { ListViewComponent } from '@syncfusion/ej2-react-lists';

function App() {
    //Define an array of JSON data
    let data: { [key: string]: Object }[] = [
        { id: 's_01', text: 'Robert', avatar: '', pic: 'pic04' },
        { id: 's_02', text: 'Nancy', avatar: 'N', pic: '' },
        { id: 's_05', text: 'Jenifer', pic: 'pic01', avatar: '' },
        { id: 's_03', text: 'Andrew', avatar: 'A', pic: '' },
        { id: 's_06', text: 'Margaret', pic: 'pic02', avatar: '' },
        { id: 's_07', text: 'Steven', pic: 'pic03', avatar: '' },
        { id: 's_08', text: 'Michael', avatar: 'M', pic: '' }
    ];

    let fields: any = { text: "Name" };

    function listTemplate(data: any): JSX.Element {
        let letterAvatar = <span className='e-avatar e-avatar-circle'>{data.avatar}</span>
        let imageAvatar = <span className={`${data.pic} e-avatar e-avatar-circle`}></span>

        return (
            <div className='e-list-wrapper e-list-avatar'>
                {data.avatar !== "" ? (letterAvatar) : (imageAvatar)}
                <span className="e-list-content">{data.text}</span>
            </div>
        );
    }

    return (
        <div>
            {/* ListView element */}
            <ListViewComponent id='list' dataSource={data} headerTitle='Contacts' showHeader={true}
                sortOrder="Ascending" width='350px' template={listTemplate as any}
                fields={fields as any} cssClass='e-list-template'></ListViewComponent>
        </div>

    );
}
export default App;
ReactDOM.render(<App />, document.getElementById('element'));
#container {
  visibility: hidden;
}

#loader {
  color: #008cff;
  height: 40px;
  width: 30%;
  position: absolute;
  font-family: 'Helvetica Neue', 'calibiri';
  font-size: 14px;
  top: 45%;
  left: 45%;
}

#list {
  margin: 0 auto;
  font-size: 15px;
  border: 1px solid #ccc;
}

.pic01 {
  background-image: url("https://ej2.syncfusion.com/demos/src/grid/images/1.png");
}

.pic02 {
  background-image: url("https://ej2.syncfusion.com/demos/src/grid/images/3.png");
}

.pic03 {
  background-image: url("https://ej2.syncfusion.com/demos/src/grid/images/5.png");
}

.pic04 {
  background-image: url("https://ej2.syncfusion.com/demos/src/grid/images/2.png");
}

#list .e-list-item:nth-child(1) .e-avatar {
  background-color: #039be5;
}

#list .e-list-item:nth-child(2) .e-avatar {
  background-color: #e91e63;
}

#list .e-list-item:nth-child(6) .e-avatar {
  background-color: #009688;
}

#list .e-list-item:nth-child(8) .e-avatar {
  background-color: #0088;
}
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion React ListView</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="https://cdn.syncfusion.com/ej2/31.1.17/ej2-base/styles/material.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/31.1.17/ej2-react-lists/styles/material.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/31.1.17/ej2-layouts/styles/material.css" rel="stylesheet" />
    <link href="index.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
    <style>
        #loader {
            color: #008cff;
            height: 40px;
            left: 45%;
            position: absolute;
            top: 45%;
            width: 30%;
        }
    </style>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    <div id='element' style="margin:0 auto; max-width:400px;">
        <div id='loader'>Loading....</div>
    </div>
</body>

</html>

Create mobile contact layout in Angular ListView

12 Sep 20258 minutes to read

You can create a professional mobile contact directory interface using the ListView component’s template property combined with the Syncfusion Avatar component. This approach provides a native mobile experience with contact photos, names, and phone numbers displayed in an organized, scrollable list format.

Follow these sequential steps to implement a mobile contact layout:

Step 1: Prepare the contact data structure

Render the ListView with dataSource containing contact information including avatar data. Configure avatar data using either text initials for generated avatars or CSS class names for custom contact images:

let data: any = [
    {
    text: "Jenifer",
    contact: "(206) 555-985774",
    id: "1",
    avatar: "",
    pic: "pic01"
  },
  { text: "Amenda", contact: "(206) 555-3412", id: "2", avatar: "A", pic: "" },
];

Step 2: Configure the ListView template with Avatar integration

Set avatar classes in the ListView template to create contact icons with proper spacing and alignment. The template uses conditional rendering to display either custom images or initial-based avatars using the e-avatar e-avatar-circle classes:

  <ng-template #template let-data="">
    <div class="e-list-wrapper e-list-multi-line e-list-avatar">
        <span class="e-avatar e-avatar-circle" *ngIf="data.avatar !== ''">{{data.avatar}}</span>
        <span class="{{data.pic}} e-avatar e-avatar-circle" *ngIf="data.pic !== '' "> </span>
        <span class="e-list-item-header">{{data.text}}</span>
        <span class="e-list-content">{{data.contact}}</span>
    </div>
    </ng-template>

This template structure creates a multi-line list item with avatar positioning on the left, contact name as the primary header, and phone number as secondary content.

Avatars can be configured in different sizes using avatar classes. To explore comprehensive avatar styling options and size variations, refer to Avatar.

Step 3: Enable sorting and header display

Configure the ListView for optimal contact browsing by sorting contact names alphabetically using the sortOrder property. Enable the showHeader property and set the headerTitle to “Contacts” for clear navigation context.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { ListViewModule } from '@syncfusion/ej2-angular-lists'
import { Component } from '@angular/core';
import { CommonModule } from '@angular/common';

@Component({
  imports: [
    CommonModule, ListViewModule
  ],
  standalone: true,
  selector: 'my-app',
  template: `
    <div id="sample">
        <ejs-listview id='List' [dataSource]='data' headerTitle='Contacts' cssClass='e-list-template' [showHeader]='true' sortOrder='Ascending'>
            <ng-template #template let-data="">
                <div class="e-list-wrapper e-list-multi-line e-list-avatar">
                    <span class="e-avatar e-avatar-circle" *ngIf="data.avatar !== ''"></span>
                    <span class=" e-avatar e-avatar-circle" *ngIf="data.pic !== '' "> </span>
                    <span class="e-list-item-header"></span>
                    <span class="e-list-content"></span>
                </div>
            </ng-template>
        </ejs-listview>
    </div>
    `
})

export class AppComponent {
  // Listview datasource with avatar and image source fields
  public data?: { [key: string]: Object; }[] = [
    {
      text: "Jenifer",
      contact: "(206) 555-985774",
      id: "1",
      avatar: "",
      pic: "pic01"
    },
    { text: "Amenda", contact: "(206) 555-3412", id: "2", avatar: "A", pic: "" },
    {
      text: "Isabella",
      contact: "(206) 555-8122",
      id: "4",
      avatar: "",
      pic: "pic02"
    },
    {
      text: "William ",
      contact: "(206) 555-9482",
      id: "5",
      avatar: "W",
      pic: ""
    },
    {
      text: "Jacob",
      contact: "(71) 555-4848",
      id: "6",
      avatar: "",
      pic: "pic04"
    },
    { text: "Matthew", contact: "(71) 555-7773", id: "7", avatar: "M", pic: "" },
    {
      text: "Oliver",
      contact: "(71) 555-5598",
      id: "8",
      avatar: "",
      pic: "pic03"
    },
    {
      text: "Charlotte",
      contact: "(206) 555-1189",
      id: "9",
      avatar: "C",
      pic: ""
    }
  ];

}
@import 'node_modules/@syncfusion/ej2-base/styles/material.css';
@import 'node_modules/@syncfusion/ej2-angular-base/styles/material.css';
@import 'node_modules/@syncfusion/ej2-angular-lists/styles/material.css';
@import 'node_modules/@syncfusion/ej2-angular-buttons/styles/material.css';
@import 'node_modules/@syncfusion/ej2-angular-layouts/styles/material.css';

#List {
    margin: 0 auto;
    font-size: 15px;
    border: 1px solid #ccc;
    width: 350px;
}

.pic01 {
    background-image: url("https://ej2.syncfusion.com/demos/src/grid/images/1.png");
}

.pic02 {
    background-image: url("https://ej2.syncfusion.com/demos/src/grid/images/3.png");
}

.pic03 {
    background-image: url("https://ej2.syncfusion.com/demos/src/grid/images/5.png");
}

.pic04 {
    background-image: url("https://ej2.syncfusion.com/demos/src/grid/images/2.png");
}

#List .e-list-item:nth-child(1) .e-avatar {
    background-color: #039be5;
}

#List .e-list-item:nth-child(2) .e-avatar {
    background-color: #e91e63;
}

#List .e-list-item:nth-child(6) .e-avatar {
    background-color: #009688;
}

#List .e-list-item:nth-child(8) .e-avatar {
    background-color: #0088;
}

#List .e-list-header {
    background: rgb(2, 120, 215);
    color: white;
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));